Subject: Re: [apps-discuss] Proposal for adoption of Gopher document as an AppsAWG task

From: Larry Masinter <[email-masked]>
Date: Fri, 1 May 2015 08:14:24 +0000

Gopher should have been obsoleted by HTTP/0.9....

The gopher user community moved to HTTP a long time ago. The IETF standard now for this application is HTTP/2 and I don't think any cycles should be spent on alternatives which don't begin to meet requirements.

If there are any good ideas here then propose them for httpbis improvements.

--
http://larry.masinter.net

> On Apr 30, 2015, at 7:21 PM, Scott Kitterman <[email-masked]> wrote:
> 
>> On Thursday, April 30, 2015 07:12:57 PM Arnt Gulbrandsen wrote:
>> I have to agree that we occasionally have problems with noisy rhetoric.
>> (RFC6851 isn't very different from a draft someone posted in 2001, and I
>> don't think that draft was the first one, either. Most of the delay was due
>> to rhetoric.)
>> 
>> I'll review the gopher document. Don't care at all about its formal status
>> so long as the status includes the letters "r", "f" and "c" and four
>> digits.
> 
> For a moment, I thought I saw another DoS vector, but then I remembered that 
> the number with five digits also has four.
> 
> Scott K
> 
> _______________________________________________
> apps-discuss mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/apps-discuss

---

From: John C Klensin <[email-masked]>
Date: Fri, 01 May 2015 13:42:02 -0400

> Gopher should have been obsoleted by HTTP/0.9....

Your opinion on this subject has been clear from earlier notes.

> The gopher user community moved to HTTP a long time ago. The
> IETF standard now for this application is HTTP/2 and I don't
> think any cycles should be spent on alternatives which don't
> begin to meet requirements.

Given that Nick and others have claimed that there is still an
active user (and even developer) community and that material in
some of the references in the I-D appear to support that claim,
it would appear that at least some of the gopher user community
didn't make that move.  Is your statement above merely
over-broad or is it intended to imply that you have concluded
that any gopher user who did not make the move (presumably
before HTTP/1.0 was published in 1996) are so hopelessly
retarded that they should either be forced to convert or forced
off the Internet?

Statements like yours above bother me for at least two reasons:

(1) Independent of whether one appreciates text-oriented
presentation and navigation models, there are some features of
the Gopher data model that may still be useful and should not
lightly be discarded.  Perhaps a better solution for that model
would be a GopherText Markup Language that worked will with
HTTP, but, to the best of my knowledge, no one has proposed one
of those to the IETF or anyone else.

(2) I don't see a stopping rule.  For example, we've all heard
people claim that IMAP and POP are obsolete because all
right-thinking people have switched to Webmail and that email
itself is obsolete because everyone communicates in short
instant messages (the people making that claim don't seem to
think mailing lists like this are counterexample, just as you
apparently don't believe existing Gopher servers and their users
are counterexamples).  Would you argue that SMTP and Internet
Message formats became obsolete when the fist XMPP spec was
published and that work on email should be turned over to the
XMPP WG?  Certainly there are more email users today than there
are Gopher users, but I'd be hard-pressed to demonstrate that
the percentage decrease in email users over the last 20 or 25
years, adjusted for Internet growth, is smaller than the
percentage decrease in gopher users, similarly adjusted.

> If there are any good ideas here then propose them for httpbis

Mark has already commented on that.

I think there are real questions about Gopher-2 in the IETF,
questions that depend critically on whether there is critical
mass for doing the work and carefully reviewing it.  But I don't
think "some group of people believe that its function has been
subsumed by other things and therefore we should be trying to
kill it off" is a good story, whether we are talking about
Gopher, email, or, for that matter, things like SIP or even UDP.

    john